// Package declaration 
package org.enableit.db.ant; 

/*
 * PROJECT			: 
 *
 * COPYRIGHT        : Copyright (C) 2001
 *
 * Change History:
 * -------------------------------------------------------------------
 * $Log$
 *
 */
 
// Java imports 
import java.io.File ; 
import java.util.Vector ; 

// Ant Imports
import org.apache.tools.ant.BuildException ;
import org.apache.tools.ant.DirectoryScanner ;
import org.apache.tools.ant.Task ;
import org.apache.tools.ant.types.FileSet ;

// My imports 
import org.enableit.db.* ;
import org.enableit.util.Log ;

/**  
 * A task to invoke the DataLoader class for a FileSet.
 */
public class DataLoaderTask extends Task 
{

/*
 * Constructors
 */
	/** 
	 * Default Constructor
	 */
	public DataLoaderTask()
	{

	}

/*
 * Methods
 */
    /**
     * Adds a set of files (nested fileset attribute).
     */
    public void addFileset(FileSet set) {
        filesets.addElement(set);
    }


    /**  
     * Performs the copy operation.
     */
    public void execute()
    throws BuildException
    { 
        // Log the entry into the method.
        Log.write("METHOD_ENTRY", Log.METHOD_ENTRY);
        
        DataLoader dl = new DataLoader() ; 

        // deal with the filesets
        for (int i=0; i<filesets.size(); i++) {
            FileSet fs = (FileSet) filesets.elementAt(i);
            DirectoryScanner ds = fs.getDirectoryScanner(project);
            File fromDir = fs.getDir(project);

            String[] srcFiles = ds.getIncludedFiles();
            for ( int j=0 ; j<srcFiles.length ; j++ ) {
                dl.setFile(srcFiles[i]) ; 
                try {
                    dl.execute() ;                 	
                } catch (java.io.IOException ioe) {
                    throw new BuildException(ioe.getMessage()) ; 
                } catch (java.sql.SQLException sqle) {
                    throw new BuildException(sqle.getMessage()) ; 
                }

            }   
            
        }


    } 

/*
 * Properties
 */

    /**  
     * The fileset.
     */
    protected Vector filesets = new Vector();
    
	/**  
	 * CVS info about this class and its current version
	 */
	public static final String about = "$Id$" ;

}
