// Package declaration 
package org.thestephensons.db ; 

/*
 * PROJECT			: Database integration library
 *
 * COPYRIGHT        : Copyright (C) 2000 Tim Stephenson
 *
 * Change History:
 * -------------------------------------------------------------------
 * $Log: GenericDBProxyTester.java,v $
 * Revision 1.1  2001/04/24 07:57:34  tstephen
 * test harness for the GenericDBProxy
 *
 */
 
// Java Imports
import java.util.ArrayList ; 
import javax.sql.DataSource ; 

// Sybase Imports 
//import com.sybase.jdbcx.SybDataSource ; 
import com.sybase.jdbc2.jdbc.SybDataSource ; 

// My Imports
import org.thestephensons.db.GenericDBProxy ; 

/** 
 * <p>A minimal test class for the <code>GenericDBProxy</code></p>
 * 
 * <p>This class exists pursuant of the principle that a library should 
 * include sufficient test and sample code to be quickly installed and
 * understood by a developer with no prior experience of the library</p>
 * 
 * @version __VERSION__
 * 
 * @author tim@thestephensons.org 
 * 
 */
public class GenericDBProxyTester 
{

/*
 * Constructors
 */
	/** 
	 * Default Constructor
	 */
	public GenericDBProxyTester( String[] args ) 
	{
         
        ArrayList results = new ArrayList() ; 
        ArrayList parms = new ArrayList() ; 
        // Now add any parameters needed 

        try {
            // Obtain a reference to the proxy with the database needed
            results = (ArrayList)GenericDBProxy.executeQueryProcedure( "GetAllTask", parms, DatabaseProxy.LIST ) ; 
        } catch (Exception e) {
            e.printStackTrace(System.err) ;         
            System.exit(-1); 
        }

        System.out.println("RESULTS: " + results.toString()) ; 

	}

/*
 * Methods
 */

    public static void main ( String[] args ) 
    { 
        new GenericDBProxyTester( args ) ; 
        System.exit(0) ; 
    } 

/*
 * Properties
 */

    /** 
     * Information on the exact CVS version accessible after compilation
     */
    public static final String about = "$Revision: 1.1 $";

}
