// Package declaration 
package org.thestephensons.db ; 

/*
 * PROJECT			: Database Utilities Project 
 *
 * COPYRIGHT        : Copyright (C) 2001 Tim Stephenson
 *
 * Change History:
 * -------------------------------------------------------------------
 * $Log: SqlEncoder.java,v $
 * Revision 1.1  2001/06/01 08:37:19  tstephen
 * lots of untracked changes leading to v1.0
 *
 */
 
// Imports

public class SqlEncoder extends java.lang.Object  
{

/*
 * Constructors
 */
	/** 
	 * Default Constructor
	 */
	public SqlEncoder() 
	{

	}


/*
 * Methods
 */

    /** 
     * Encodes characters as escape sequences to prevent errors when passed to 
     * a SQL statement
     * 
     * Actual chars requiring encoding are: ', newline, \,
     * 
     */
    public static String encode( String string )
    { 
		int n = string.length();
		char character;
		StringBuffer buffer = new StringBuffer();
        // loop over all the characters of the String.
		for (int i = 0; i < n; i++) {
			character = string.charAt(i);
			// the sqlCode of these characters are added to a StringBuffer one by one
            switch ( character ) {
            case '\'':
                buffer.append("''") ; 
            	break ; 
            case '\\':
                buffer.append("\\") ; 
            	break ; 
            case '\n':
                buffer.append("\n") ; 
            	break ; 
            default : 
                buffer.append(character) ; 
            }
		}
        return buffer.toString();
    } 
/*
 * Properties
 */

}
